Eclipse Platform Release 3.7

## org.eclipse.ui.presentations
Class StackDropResult

    java.lang.Object
      org.eclipse.ui.presentations.StackDropResult

    public final class StackDropResult

extends Object

This structure describes a drop event that will cause a dragged part to be stacked in a position currently occupied by another part.

Since:
  3.0

Constructor Summary
`StackDropResult(Rectangle snapRectangle, Object cookie)` Creates a drop result

Method Summary
`Object` `getCookie()` Returns the cookie for this drop result.
`Rectangle` `getSnapRectangle()` Returns a rectangle (screen coordinates) describing the target location for this drop operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackDropResult

    public StackDropResult(Rectangle snapRectangle,
                           Object cookie)

  Creates a drop result

  Parameters:
    `snapRectangle` - region that should be highlighted by the tracking rectangle (display coordinates)
    `cookie` - the presentation may attach an object to this drop result in order to identify the drop location. This object will be passed back into the presentation's add method.

Method Detail

### getSnapRectangle

    public Rectangle getSnapRectangle()

  Returns a rectangle (screen coordinates) describing the target location for this drop operation. While dragging, the tracking rectangle will snap to this position.

  Returns:
    a snap rectangle (not null)

### getCookie

    public Object getCookie()

  Returns the cookie for this drop result. This object provided by the presentation, but is remembered by the workbench. It will be given back to the presentation's add method to indicate that a part is being added as a result of a drop operation.

  Returns:
    the drop cookie for this drop result

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.